Package skyview.process.imagefinder

# Class Bypass

java.lang.Object
skyview.process.ImageFinder
skyview.process.imagefinder.Bypass

public class Bypass extends ImageFinder
This class is a simple image finder which returns all images and a 0 length array.

## Constructor Summary

Constructors
Constructor
Description
`Bypass()`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`findImages(Image[] input, Image output)`
This is the basic method in the image finder.

### Methods inherited from class skyview.process.ImageFinder

`factory, setStrict`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Bypass

public Bypass()

## Method Details

### findImages

public int[] findImages(Image[] input, Image output)
Description copied from class: `ImageFinder`
This is the basic method in the image finder. It gives the index of the appropriate input image for each pixel in the output image.

Specified by:
  `findImages` in class `ImageFinder`
Parameters:
  `input` - An array of images from which the output image is to be interpolated.
  `output` - An output image to be generated from the input. This method does not change the output image.
Returns:
  An integer array of the same dimension as one plane of the output image. Each element of the array gives the index of the input image that should be used to get the value of that point. A value -2 indicates that there is no suitable input image. A value -3 indicates that the output pixel is not physical (e.g., it lies outside the valid region in the projection plane). Zero and positive values give the appropriate indices.